%define url_ver %(echo %{version}|cut -d. -f1,2)

%define build_with_python           1
%define oname                       mate-text-editor
%define                             _disable_ld_no_undefined 1
%define subrel 1

Summary:       Small but powerful text editor for MATE
Name:          pluma
Version:       1.8.1
Release:       %mkrel 3
License:       GPLv2+
Group:         Editors
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        pluma-1.7.90-mga-fix_underlinking.patch

BuildRequires: aspell-devel
BuildRequires: iso-codes
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtksourceview-2.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: yelp-tools
%if %{build_with_python}
BuildRequires: pkgconfig(pygobject-2.0)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(pygtksourceview-2.0)
BuildRequires: python
%endif

Requires:       pyorbit
# the run-command plugin uses zenity
Requires:       zenity
Requires:       caja-schemas
Requires:       mate-dialogs
Requires:       mate-desktop-schemas
Provides:       %{oname} = %{version}-%{release}
Obsoletes:      %{oname} < 1.7.0

%description
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:    Development/C
Summary:  Headers for writing Pluma plugins
Provides: %{oname}-devel = %{version}-%{release}
Obsoletes:%{oname}-devel < 1.7.0

%description devel
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use Pluma's API.

%prep
%setup -q
%apply_patches

%build
#needed by Patch0
autoreconf -fi
%configure2_5x \
        --enable-gtk-doc-html     \
        --disable-scrollkeeper    \
        --disable-schemas-compile \
        --with-gtk=2.0            \
        --enable-gvfs-metadata    \
%if %{build_with_python}
        --enable-python
%else
        --disable-python
%endif

%make

%install

%makeinstall_std

## clean up all the static libs for plugins
rm -f `find %{buildroot}%{_libdir}/pluma/plugins -name "*.a"`
rm -f `find %{buildroot}%{_libdir}/pluma/plugins -name "*.la"`
rm -f `find %{buildroot}%{_libdir}/pluma/plugin-loaders -name "*.la"`

%{find_lang} %{name} --with-gnome --all-name

# Remove unneded MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%files  -f %{name}.lang
%doc README COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/pluma
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_libexecdir}/%{name}
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/help/*/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugin-loaders
%{_libdir}/%{name}/plugin-loaders/libcloader.so
%{_libdir}/%{name}/plugin-loaders/libpythonloader.so
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/changecase.pluma-plugin
%{_libdir}/%{name}/plugins/docinfo.pluma-plugin
%{_libdir}/%{name}/plugins/filebrowser.pluma-plugin
%{_libdir}/%{name}/plugins/libtaglist.so
%{_libdir}/%{name}/plugins/modelines.pluma-plugin
%{_libdir}/%{name}/plugins/sort.pluma-plugin
%{_libdir}/%{name}/plugins/spell.pluma-plugin
%{_libdir}/%{name}/plugins/taglist.pluma-plugin
%{_libdir}/%{name}/plugins/time.pluma-plugin
%{_libdir}/%{name}/plugins/libchangecase.so
%{_libdir}/%{name}/plugins/libdocinfo.so
%{_libdir}/%{name}/plugins/libfilebrowser.so
%{_libdir}/%{name}/plugins/libmodelines.so
%{_libdir}/%{name}/plugins/libsort.so
%{_libdir}/%{name}/plugins/libspell.so
%{_libdir}/%{name}/plugins/libtime.so
%if %{build_with_python}
%{_libdir}/%{name}/plugins/externaltools.pluma-plugin
%{_libdir}/%{name}/plugins/pythonconsole.pluma-plugin
%{_libdir}/%{name}/plugins/quickopen.pluma-plugin
%{_libdir}/%{name}/plugins/snippets.pluma-plugin
%{_libdir}/%{name}/plugins/externaltools/*
%{_libdir}/%{name}/plugins/pythonconsole/*
%{_libdir}/%{name}/plugins/quickopen/*
%{_libdir}/%{name}/plugins/snippets/*
%endif

%files devel
%{_includedir}/pluma
%{_libdir}/pkgconfig/pluma.pc
%{_datadir}/gtk-doc/html/*




%changelog
* Sat Oct 03 2015 tarakbumba <tarakbumba> 1.8.1-3.1.mga5
+ Revision: 885813
- Add mate-desktop-schemas dependency (mga#16186)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 745318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 687680
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 619016
- Update to 1.8.1 version

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601194
- obsolete mate-text-editor-devel

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600118
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598084
- imported package pluma

